Subject: bug#35665: 27.0.50; shell-mode over TRAMP can no longer kill processes with C-c C-c

From: Michael Albinus <[email-masked]>
Date: Fri, 10 May 2019 09:47:16 +0200

Dima Kogan <[email-masked]> writes:

> Hi.

Hi Dima,

> I just did a bit of debugging. C-c C-c invokes
> (tramp-interrupt-process). This calls (tramp-send-command) to send a
> "kill -2 PID" and then (tramp-accept-process-output) to wait for a new
> shell prompt; I think. For whatever reason, the server is not getting
> the "kill -2 PID" anymore, so the waiting for the prompt now hangs
> forever. I'll poke at it some more, but it's likely somebody more
> knowledgeable will be able to figure this out much faster than me.

Looks to me like a duplicate of bug#35506, could you pls check? That bug
report contains also patches, which might help you.

> Thanks!

Best regards, Michael.